- entityDefinitions:
  - IDM_Instance__get__External_IDs: '{42bdbbc9-214f-4d81-b91f-36a177e5087b}'
  - IDMB_Instance__get__External_IDs_for_Related_Instance: '{3d384d3f-2e93-4ef6-b7b0-a0bc5fd8c710}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - returnInstanceSetMethodBinding: '&IDMB_Instance__get__External_IDs_for_Related_Instance;'
    executesMethod: '&IDM_Instance__get__External_IDs;'
    name: 'External IDs for Related Instance'
    parameterAssignments:
    - globalIdentifier: '{599ec9dc-ea65-4c08-ad5e-ca5374addc0e}'
      assignsToParameter: '&IDC_Instance;'
      assignsFromWorkData: '&IDI_WorkSet_RelatedInstance;'

  - getReferencedInstanceSetMethod: '&IDM_Instance__get__External_IDs;'
    forClassId: '&IDC_Instance;'
    verb: 'get'
    name: 'External IDs'
    returnsWorkSetId: '&IDI_WorkSet_ExternalIDNonsingular;'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Instance;'
    answerInstanceSet: '&IDR_Instance__has__External_ID;'
    singular: no